- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy > Struct Template Reference

`#include <Fixed_Array_SArgument_T.h>`

List of all members.

## Public Types
typedef T_slice * | ret_type
typedef const T | in_type
typedef T | inout_type
typedef T | out_type
typedef In_Fixed_Array_SArgument_T< T, T_slice, T_forany, Insert_Policy > | in_arg_val
typedef Inout_Fixed_Array_SArgument_T< T, T_slice, T_forany, Insert_Policy > | inout_arg_val
typedef Out_Fixed_Array_SArgument_T< T, T_slice, T_forany, Insert_Policy > | out_arg_val
typedef Ret_Fixed_Array_SArgument_T< T_slice, T_var, T_forany, Insert_Policy > | ret_val
typedef T_slice const * | in_arg_type
typedef ret_type | inout_arg_type
typedef ret_type | out_arg_type
typedef ret_type & | ret_arg_type

### template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>
struct TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >

## Member Typedef Documentation

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef T_slice const* TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::in_arg_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef In_Fixed_Array_SArgument_T<T, T_slice, T_forany, Insert_Policy> TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::in_arg_val

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef const T TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::in_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef ret_type TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::inout_arg_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef Inout_Fixed_Array_SArgument_T<T, T_slice, T_forany, Insert_Policy> TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::inout_arg_val

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef T TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::inout_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef ret_type TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::out_arg_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef Out_Fixed_Array_SArgument_T<T, T_slice, T_forany, Insert_Policy> TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::out_arg_val

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef T TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::out_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef ret_type& TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::ret_arg_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef T_slice* TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::ret_type

template<typename T, typename T_slice, typename T_var, typename T_forany, typename Insert_Policy>

typedef Ret_Fixed_Array_SArgument_T<T_slice, T_var, T_forany, Insert_Policy> TAO::Fixed_Array_SArg_Traits_T< T, T_slice, T_var, T_forany, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- Fixed_Array_SArgument_T.h